Bug 71491 - Posting a form with konqueror with enctype="multipart/form-data" omits carrier returns in textarea
Posting a form with konqueror with enctype="multipart/form-data" omits carrie...
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kdelibs (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-14 06:58 EDT by Antoni Reus
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:06:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antoni Reus 2002-08-14 06:58:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020607

Description of problem:
When submitting an html FORM with Konqueror with enctype="multipart/form-data"
(its necessary when you want post a file with an INPUT type="file" ) and there
is a TEXTAREA in the FORM, carrier returns typed in the TEXTAREA are lost.

This doesn't happen if the form doesn't have enctype="multipart/form-data"

Version-Release number of selected component (if applicable): konqueror 2.2.2


How reproducible:
Always

Steps to Reproduce:
1.Build a web application with a FORM with enctype="multipart/form-data and a
TEXTAREA in it.
2.Submit the form with some text with some intros in the TEXTAREA
3.Display the information submitted, replacing \r characters with <br>


	

Actual Results:  There are no \r in the information submitted in the TEXTAREA

Expected Results:  There should be \r in the information submitted in the TEXTAREA

Additional info:

I noted this while developing a web application in JAVA with Bea Weblogic.

I have tested this with Mozilla 1.0, Netscape 4.78 and IE 6, and doesn't happen.

My system is a Redhat 7.2 fully up2date (konqueror 2.2.2) . This happen to with
a fresh Redhat 7.3 installation, so this bug is in konqueror 3.0.0 to
Comment 1 Ngo Than 2002-10-10 07:35:25 EDT
Could you please try kde 3.0.3 if it's fixed? thanks
Comment 2 Bill Nottingham 2006-08-04 16:06:52 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.